{% extends 'base.html' %}

{% block content %}
    {% if user.is_authenticated %}
        <div class="d-flex justify-content-center container">
            <div class="row">
                <div class="col">
                    <h1 class="display-4">Hi, {{ user.username }}</h1>
                    <button class="btn btn-danger"><a id="logout" style="color: inherit;" href="{% url 'logout' %}">logout</a></button>
                </div>
            </div>
        </div>
    {% else %}
    <div class="container">
        <div class="row d-flex justify-content-center container">
            <div class="flex-row">
                <div class="col">
                    <h3 class="h3" style="padding-top: 50px;">You are not logged in</h3>
                </div>
            </div>
        </div>
    </div>
    <br>
    <div class="container">
        <div class="row d-flex justify-content-center container">
            <button class="btn btn-primary" style="margin: 20px;" onclick="location.href='{% url 'login' %}';">log in</button>
            <button class="btn btn-primary" style="margin: 20px;" id="signup" onclick="location.href='{% url 'signup' %}';">sign up</button>
        </div>
    </div>
                    
    {% endif %}
{% endblock %}